Subject: Re: [PATCHv5 2/6] Gitweb: add support for minifying gitweb.css

From: Charles Bailey <[email-masked]>
Date: Tue, 13 Apr 2010 21:28:32 +0100

On 01/04/2010 06:36, Mark Rada wrote:
> @@ -84,13 +92,14 @@ endif
>
>   all:: gitweb.cgi
>
> +FILES = gitweb.cgi
>   ifdef JSMIN
> -FILES=gitweb.cgi gitweb.min.js
> -gitweb.cgi: gitweb.perl gitweb.min.js
> -else # !JSMIN
> -FILES=gitweb.cgi
> -gitweb.cgi: gitweb.perl
> -endif # JSMIN
> +FILES += gitweb.min.js
> +endif
> +ifdef CSSMIN
> +FILES += gitweb.min.css
> +endif
> +gitweb.cgi: gitweb.perl $(GITWEB_JS) $(GITWEB_CSS)
>

I have a question about this last line of the patch. Are GITWEB_JS and 
GITWEB_CSS supposed to be a source path or a URI?

The documentation for install (and my previous assumption) was that they 
represented the path on the target web server. I'm used to overriding 
them so that gitweb.cgi can live in my /cgi-bin directory, but the 
static files are served from /gitweb which is readable but not executable.

After this patch I had to removed $(GITWEB_JS) and $(GITWEB_CSS) from 
the list of dependencies for gitweb.cgi otherwise make failed.

Have I got the wrong end of the stick?

Thanks,

Charles.